From 575dc91653a163fee2b0d11252ea43dd7702fb64 Mon Sep 17 00:00:00 2001
From: Markus Amsler <markus.amsler@oribi.org>
Date: Tue, 5 Apr 2011 02:20:05 +0200
Subject: [PATCH 2/3] Include config.h in analog.c

---
 analog.c          |    1 +
 extruder/analog.c |    1 +
 2 files changed, 2 insertions(+), 0 deletions(-)

diff --git a/analog.c b/analog.c
index 7dc0aca..1e446e5 100644
--- a/analog.c
+++ b/analog.c
@@ -10,6 +10,7 @@
 
 /* OR-combined mask of all channels */
 #undef DEFINE_TEMP_SENSOR
+#undef _CONFIG_H
 //! automagically generate analog_mask from DEFINE_TEMP_SENSOR entries in config.h
 #define DEFINE_TEMP_SENSOR(name, type, pin) | (((type == TT_THERMISTOR) || (type == TT_AD595)) ? 1 << (pin) : 0)
 static const uint8_t analog_mask = 0
diff --git a/extruder/analog.c b/extruder/analog.c
index 7dc0aca..1e446e5 100644
--- a/extruder/analog.c
+++ b/extruder/analog.c
@@ -10,6 +10,7 @@
 
 /* OR-combined mask of all channels */
 #undef DEFINE_TEMP_SENSOR
+#undef _CONFIG_H
 //! automagically generate analog_mask from DEFINE_TEMP_SENSOR entries in config.h
 #define DEFINE_TEMP_SENSOR(name, type, pin) | (((type == TT_THERMISTOR) || (type == TT_AD595)) ? 1 << (pin) : 0)
 static const uint8_t analog_mask = 0
-- 
1.6.3.2.1299.gee46c

